Subject: RE: [Sip] draft-ietf-sipping-conference-package : MTU

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Wed, 5 Apr 2006 10:24:39 +0100

Please read section 18.1.1 of RFC 3261. At least one other RFC tightens this up for specific extensions, but in essence this is the core of the SIP requirement.

Yes, a UA must check before generating UDP greated that MTU less 200 (or else use a reliable transport protocol all the time).

regards

Keith

> -----Original Message-----
> From: Gary Gan [mailto:[email-masked]]
> Sent: 04 April 2006 18:50
> To: 'Dale R. Worley'
> Cc: [email-masked]
> Subject: RE: [Sip] draft-ietf-sipping-conference-package : MTU
> 
> 
> Does it mean the SIP UA is supposed to check the SIP message 
> size, if it is
> too big, it will automatically switch to TCP? Is it a mixed 
> TCP/UDP SIP
> messages within a SIP session or it needs to decide UDP or TCP at the
> beginning of a session?
> 
> How TCP is used in SIP? Is it a connection/disconnect per 
> message like a WEB
> request, or connection on each session, or even a connection 
> pool based on
> the destinations? I think only the WEB request style makes sense for
> SIP/TCP. SIP doesn't define differently for TCP in terms of 
> connect and
> disconnect.
> 
> Gary Gan
> 
> -----Original Message-----
> From: Dale R. Worley [mailto:[email-masked]] 
> Sent: Tuesday, April 04, 2006 11:38 AM
> To: Sip
> Subject: Re: [Sip] draft-ietf-sipping-conference-package : MTU
> 
> On Tue, 2006-04-04 at 10:07 -0400, Gary Gan wrote:
> > The SIP conference info package could be very large 
> depending on the size
> of
> > the conference. How does it handle the MTU issue?
> 
> Such a NOTIFY would be sent using TCP.
> 
> RFC 3261 section 18:
> 
> All SIP elements MUST implement UDP and TCP.  
> 
> Section 18.1.1:
> 
> If a request is within 200 bytes of the path MTU, or if it is larger
> than 1300 bytes and the path MTU is unknown, the request MUST be sent
> using an RFC 2914 [43] congestion controlled transport 
> protocol, such as
> TCP.
> 
> Dale
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip